Modify Mapping Configuration¶
POST /api/v1/login_mapping/field/{lgmp_uuid}/modify
Overview¶
Route Parameters¶
| Parameter Name | Type | Required | Description |
|---|---|---|---|
| lgmp_uuid | string | Y | Mapping configuration ID |
Body Request Parameters¶
| Parameter Name | Type | Required | Description |
|---|---|---|---|
| workspaceUUID | string | Workspace UUID Example: Workspace UUID Allow Empty: False |
|
| sourceField | string | Y | Source field Example: sourceField Allow Empty: False Max Length: 40 |
| sourceValue | string | Y | Source field value Example: Allow Empty: False Max Length: 40 |
| targetValues | array | Y | Target field values (currently defaults to role UUID values) Example: ['readOnly'] |
Parameter Supplementary Description¶
Request Example¶
curl 'https://external-api.guance.com/api/v1/login_mapping/field/lgmp_xxxxx/modify' \
-X 'POST' \
-H 'Content-Type: application/json' \
-H 'X-Df-Access-Key: <AK key>' \
-H 'X-Df-Nonce: <Random characters>' \
-H 'X-Df-Signature: <Signature>' \
-H 'X-Df-Timestamp: <Timestamp>' \
--data-raw $'{ "workspaceUUID": "wksp_xxxx", "sourceField": "email2", "sourceValue": "xxx@guance.com", "targetValues": ["readOnly" ]}'